Cgu::SharedPtrAllocFail Namespace Reference
handles and smart pointers

## Enumerations

enum | Leave { leave }

## Detailed Description

enum Cgu::SharedPtrAllocFail::Leave The enumerator Cgu::SharedPtrAllocFail::leave is passed as the second argument of the reset() method of SharedPtr or SharedLockPtr, or in their constructor which takes a pointer, in order to prevent the method deleting the object passed to it if reset() fails internally because of memory exhaustion.

## Enumeration Type Documentation

enum Cgu::SharedPtrAllocFail::Leave

Enumerator
leave |